/*------------------------------------------------------------
 * Comment List & Comment Form
 *------------------------------------------------------------*/

.post__comments {
	#comments {
		text-align: center;
		margin-bottom: 1.7em;
	}

	&--no-comments {
		.post__comments__inwrap {
			@media @tablet-h, @desktop {
				padding-left: 0;
				margin-left: auto;
				margin-right: auto;
				width: @sideblock_width;
			}
		}
	}
}

/* Comment List
 * Defaults to narrow style [mobile || sidebar]
 * Augments to wide style [main-content && tablet/desktop]
 *------------------------------------------------------------*/

#disqus_thread {
	padding-bottom: 2.8em;
}

#comments {

	& > .title {
		margin-bottom: 1.7em;
		text-align: center;
	}

	.comments,
	.children {
		list-style: none;
		padding: 0;
		margin: 0;
	}

	.comment,
	.pingback {
		position: relative;

		&-body {
			padding-left: 70px;
			margin-bottom: 20px;
			@media @tablet-h, @desktop {
				padding-left: 100px;
				margin-bottom: 40px;
			}

			&:hover {
				.comment__links {
					opacity: 1;
				}
			}
		}

		&--ajax-loaded {
			opacity: 0;
		}

		&--ajax-loaded-animate {
			opacity: 1;
			.animation( ~"hygge-fade-in-bottom-soft 0.5s 1 cubic-bezier(0.7, 0, 0.3, 1)" );
		}

		&.bypostauthor > .comment-body {
			.comment__image {
				img {
					padding: 3px;
					background: @primary-color;
				}
			}
		}
	}

	.comment__image {
		width: 40px;
		height: 40px;
		float: left;
		position: relative;
		margin-left: -70px;
		margin-right: 50px;

		img {
			width: 100%;
			height: 100%;
			display: block;
		}

		@media @tablet-h, @desktop {
			// margin-left: -50px;
			width: 80px;
			height: 80px;
			margin-left: -100px;
		}
	}

	.comment__content {
		position: relative;
		background: @grey-pale;
		padding: 25px 30px 20px;

		p { margin-bottom: 10px; }

		a { .link-color; }

		&:before {
			content: '';
			display: block;
			position: absolute;
			top: 0;
			left: -16px;
			width: 0;
			height: 0;
			border-style: solid;
			border-width: 0 16px 16px 0;
			border-color: transparent @grey-pale transparent transparent;
		}
	}

	.comment__meta {
		color: @black;
		.label;

		.comment__author,
		.comment__date,
		.comment__moderated {
			.hygge-list--bullet;
			white-space: normal;

			&:after { margin-right: 0; }
		}
	}

	.comment__text {
		.small;
		line-height: 2em;
		padding-top: 10px;
	}

	.comment__links {
		position: absolute;
		top: -18px;
		right: 0;
		line-height: 1.2;

		@media @desktop {
			opacity: 0;
			.transition;
		}

		a {
			.hygge-list--bullet(@grey);
			display: block;
			position: relative;
			float: left;
			z-index: 1;
		}
	}

	/* Level: 1 */
	.comments {
		& > .comment,
		& > .pingback {
		}
	}

	/* Level: 2+ */
	.children {
		.comment,
		.pingback {
			@media @tablet-h, @desktop {
				padding-left: 50px;
			}
		}
	}

	// Pingback alteration
	.pingback {
		.comment-body {
			padding-left: 0;
		}

		.comment__image {
			display: none;
		}
	}



	/* Pager
	 *------------------------------------------------------------*/

	.comment__pager {
		text-align: center;

		a {
			.link--underline;
			margin-top: 20px;
		}
	}
}





/* Comment Form
 *------------------------------------------------------------*/

.comment-respond-main {
}

.comment-respond {
	overflow: hidden;

	@media @desktop {
	}

	h2 {
		margin-top: 0;
		margin-bottom: 20px;

		span {display: block;}
	}

	.logged-in-as {
		.small;
		margin-bottom: 10px;
	}

	.form-submit {
		text-align: right;

		~ p { margin: 10px 0;}
	}

	.logged-in-as {
		.label--italic;
	}

	.comment-respond-main & {
	}

	/* Reply inside comment */
	.comment & {
		margin-left: 100px;

		small {
			.label;
		}

		.form-submit {
			margin-top: 10px;
		}

	}
}
